| Home | Libraries | People | FAQ | More

###### grammar::lut_chars::lut_chars (2 of 3 overloads)

Constructor.

###### Synopsis

    constexpr
    lut_chars(
        char const* s);

###### Description

This function constructs a character set which has as members, all of the characters present in the null-terminated string `s`.

###### Example

    constexpr lut_chars digits = "0123456789" ;

###### Complexity

Linear in `strlen(s)`, or constant if `s` is a constant expression.

###### Exception Safety

Throws nothing.

###### Parameters

Name | Description
--- | ---
`s` | A null-terminated string.